/********************************************************************/
// First we include the libraries
#include <OneWire.h> 
#include <DallasTemperature.h>
/********************************************************************/
// Data wire for TMP is plugged into pin 2 on the Arduino
#define ONE_WIRE_BUS 2 
//Buzzer is pluged into pin 11 & GND(Negative)
#define buzzer 11
// Temp at which it beeps at
#define alarmTemp 97
/********************************************************************/
// Setup a oneWire instance to communicate with any OneWire devices  
// (not just Maxim/Dallas temperature ICs) 
OneWire oneWire(ONE_WIRE_BUS); 
/********************************************************************/
// Pass our oneWire reference to Dallas Temperature. 
DallasTemperature sensors(&oneWire);
/********************************************************************/ 
void setup(void) 
{ 
 // start serial port 
 Serial.begin(9600); 
 Serial.println("Dallas Temperature IC Control Library Demo"); 
 // Start up the library 
 sensors.begin(); 
} 
void loop(void) 
{ 
 // call sensors.requestTemperatures() to issue a global temperature 
 // request to all devices on the bus 
/********************************************************************/
 Serial.print(" Requesting temperatures..."); 
 sensors.requestTemperatures(); // Send the command to get temperature readings 
 Serial.println("DONE"); 
/********************************************************************/
 Serial.print("Temperature is: "); 
 Serial.print(sensors.getTempCByIndex(0)); // Why "byIndex"?  
   // You can have more than one DS18B20 on the same bus.  
   // 0 refers to the first IC on the wire 
   if (sensors.getTempCByIndex(0) > alarmTemp) { //If the temp reaches above alarm temp:
     tone(buzzer, 1000, 250); 
     delay(250);
     tone(buzzer, 1000, 250); 
     delay(250);
     tone(buzzer, 1000, 250); 
     tone(buzzer, 1000, 250); 
     delay(250);
     tone(buzzer, 1000, 250); 
     delay(250);
     tone(buzzer, 1000, 250);
   }
   delay(250); 
} 